¿Le resultó útil esta página?
Sus comentarios sobre este contenido son muy importantes. Háganos saber su opinión.
¿Tiene comentarios adicionales?
Caracteres restantes: 1500
StackTrace (Constructor) (Thread, Boolean)
Este artículo proviene de un motor de traducción automática. Mueva el puntero sobre las frases del artículo para ver el texto original. Más información.
Traducción
Original

StackTrace (Constructor) (Thread, Boolean)

Nota: esta API ya está obsoleta.

Inicializa una nueva instancia de la clase StackTrace para un subproceso específico y, opcionalmente, captura información de origen.

No utilice la sobrecarga de este constructor.

Espacio de nombres:  System.Diagnostics
Ensamblado:  mscorlib (en mscorlib.dll)

[<ObsoleteAttribute("This constructor has been deprecated.  Please use a constructor that does not require a Thread parameter.  http://go.microsoft.com/fwlink/?linkid=14202")>]
new : 
        targetThread:Thread * 
        needFileInfo:bool -> StackTrace

Parámetros

targetThread
Tipo: System.Threading.Thread
Subproceso cuyo seguimiento de pila se solicita.
needFileInfo
Tipo: System.Boolean
Es true para capturar el nombre de archivo y los números de línea y de columna; en caso contrario, es false.

ExcepciónCondición
ThreadStateException

El subproceso targetThread no se suspende.

Nota importanteImportante

No utilice este constructor. Está obsoleto, y no hay ninguna alternativa recomendada. Cuando se suspende un subproceso, no tiene ninguna manera de saber qué código se ejecuta, y se pueden producir interbloqueos muy fácilmente. Por ejemplo, si se suspende un subproceso mientras se mantienen bloqueos durante una evaluación de permiso de seguridad, otros subprocesos en AppDomain esté bloqueado. Si suspende un subproceso mientras está ejecutando un constructor de clase, se bloquearán otros subprocesos del AppDomain que intenten utilizar esa clase.

.NET Framework

Compatible con: 4, 3.5, 3.0, 2.0, 1.1, 1.0
Obsoleto (advertencia del compilador) en 4.5.2
Obsoleto (advertencia del compilador) en 4.5.1
Obsoleto (advertencia del compilador) en 4.5

.NET Framework Client Profile

Compatible con: 4, 3.5 SP1

.NET para aplicaciones de Windows Phone

Obsoleto (advertencia del compilador) en Windows Phone 8
Obsoleto (advertencia del compilador) en Silverlight 8.1

Windows Phone 8.1, Windows Phone 8, Windows 8.1, Windows Server 2012 R2, Windows 8, Windows Server 2012, Windows 7, Windows Vista SP2, Windows Server 2008 (no se admite el rol Server Core), Windows Server 2008 R2 (se admite el rol Server Core con SP1 o versiones posteriores; no se admite Itanium)

.NET Framework no admite todas las versiones de todas las plataformas. Para obtener una lista de las versiones compatibles, vea Requisitos de sistema de .NET Framework.

Adiciones de comunidad

AGREGAR
Mostrar:
© 2015 Microsoft